Bug 40778 - U@S41: wake on LAN not always available in computerroom
U@S41: wake on LAN not always available in computerroom
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: UMC - Computer room
UCS@school 4.1
Other Linux
: P5 normal (vote)
: UCS@school 4.1 Errata
Assigned To: Sönke Schwardt-Krummrich
Florian Best
:
Depends on: 40777 40779
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 14:18 CET by Sönke Schwardt-Krummrich
Modified: 2016-03-16 15:01 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2016-02-25 14:18:50 CET
The error was also reproducible with UCS@school 4.1. See bug 40777 for further details.

+++ This bug was initially created as a clone of Bug #40777 +++

The option "switch on computers" (WOL - wake on LAN) is not always available in computer room. The most likely situation in which the option is disabled/greyed out, is directly after switching the current room.
It is not neccessary that the selected computer/s is/are online. After some time the menu item in "more" menu is available.

A first glimpse at the code suggests, that the menu code check for several statuses (error/autherror/offline) but not the status "disconnected". So on reestablishing the connection, the status of the selected computer/s switch to "disconnected" and the menu item is unavailable again.
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2016-02-25 15:38:59 CET
Package: ucs-school-umc-computerroom
Version: 7.0.4-1.166.201602251521
User: sschwardt
Branch: ucs_4.1-0
Scope: ucs-school-4.1

r67706 | Bug #40778: fixed logic of menu item 'switch on computer'
Comment 2 Florian Best univentionstaff 2016-02-29 13:46:23 CET
OK: fix
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2016-03-16 15:01:08 CET
UCS@school 4.1 v5 has been released.

If this error occurs again, please clone this bug.